Subject: Re: [PATCH 2/2] git-p4: fix handling of multi-word P4EDITOR

From: Luke Diamand <[email-masked]>
Date: Thu, 07 May 2015 23:04:11 +0100

On 07/05/15 22:16, Junio C Hamano wrote:
> Junio C Hamano <[email-masked]> writes:
>
> i.e. the shell at the beginning of system sees "$customEditor"
> (including the double quotes) as a quoted variable, expand the
> environment variable as exported, and treat it as the path to
> the program.  Again untested but I think
>
> 	P4EDITOR="\"\$customEditor\"" &&

Or will this work?

-	P4EDITOR="$TRASH_DIRECTORY/ed.sh" &&
+	P4EDITOR="\"$TRASH_DIRECTORY/ed.sh\"" &&

I'm still a bit worried about what will happen to Windows users with 
this change though. I think the following avoids breaking Windows 
clients, but I'm not sure if it's the right way to go:

-	system([editor, template_file])
+       system(shlex.split(editor) + [template_file])

I've not tested it on anything other than Linux so far, so best not to 
merge yet!

Luke

>
> should do the work.
>
>> +		export customEditor P4EDITOR &&
>>   		git p4 submit &&
>>   		p4 changes //depot/... >wc &&
>>   		test_line_count = 5 wc